################################################################################
# Bundle: gcmonitor:10.3.0.15
################################################################################

# You can enable or disable this extension.

# Enable/disable Garbage Collection monitor. Changes to following property take
# effect immediately and do not require the managed application to be restarted.
introscope.agent.gcmonitor.enable=true


################################################################################
# Bundle: http-backends:10.3.0.15
################################################################################

# Configuration settings for Backend URL Path naming.  By default, all HTTP
# backends URL path go into "Default" group. Changing these properties does not
# require the JVM to be restarted. 
introscope.agent.backendpathgroup.keys=default
introscope.agent.backendpathgroup.group.default.pathprefix=*
introscope.agent.backendpathgroup.group.default.format=Default


################################################################################
# Bundle: java-agent:10.3.0.15
################################################################################

# This is the main Java Agent configuration. You can set custom log file
# locations, HTTP URLs normalization patterns, various safety clamps and
# advanced configuration parameters. 

# On/Off Switch. This boolean property gives you the ability to disable
# Introscope AutoProbe by settings the property value to false. You must restart
# the managed application before changes to this property take effect. 
introscope.autoprobe.enable=true

# Custom Log File Location. Introscope AutoProbe will always attempt to log the
# changes it makes.  Set this property to move the location of the log file to
# something other than the default.  Non-absolute names are resolved relative to
# the location of this properties file. You must restart the managed application
# before changes to this property take effect. 
introscope.autoprobe.logfile=/app/gf1/wily_10/logs/Cleveland_AutoProbe.log

# Directives Files. This property specifies all the directives files that
# determine how Introscope AutoProbe performs the instrumentation.  Specify a
# single entry, or a comma-delimited list of entries. The list may include any
# combination of: 
#    - directives (.pbd) files 
#    - directives list (.pbl) files  
# - directories that will be scanned about once per minute for   .pbd files.
# Directives files placed in a listed directory will be loaded automatically,
# without any need to edit this Agent profile. If dynamic instrumentation is
# enabled, the directives will take effect immediately without an app reboot. 
#
# Non-absolute names will be resolved relative to the location of this
# properties file. 
#
# IMPORTANT NOTE: This is a required parameter and it MUST be set to a valid
# value. 
# - If the property is not specified or the values are invalid,  the Introscope
# Agent will not run! 
# - If the property is set to include a directory, and invalid  directives files
# are placed in the directory, AutoProbe metrics will no longer be reported! 
# - If the property is set to include a directory, and loaded  directives files
# are removed from the directory, AutoProbe metrics will no longer be reported!
# Changes to this property take effect immediately and do not require the
# managed application to be restarted. 
introscope.autoprobe.directivesFile=acc-master.pbl,hotdeploy

# Logging Configuration. Changes to this property take effect immediately and do
# not require the managed application to be restarted. This property controls
# both the logging level and the output location. 
#
# To increase the logging level, set the property to:
# 'VERBOSE#com.wily.util.feedback.Log4JSeverityLevel, console, logfile' 
#
# To send output to the console only, set the property to: 'INFO, console' 
#
# To send output to the logfile only, set the property to: 'INFO, logfile' 
log4j.logger.IntroscopeAgent=WARN, logfile

# If "logfile" is specified in "log4j.logger.IntroscopeAgent", the location of
# the log file is configured using the this property. 
#
# System properties (Java command line -D options) are expanded as part of the
# file name.  For example, if Java is started with "-Dmy.property=Server1", then
#
# "log4j.appender.logfile.File=../../logs/Introscope-${my.property}.log" 
#
# is expanded to: 
#
# "log4j.appender.logfile.File=../../logs/Introscope-Server1.log". 
log4j.appender.logfile.File=/app/gf1/wily_10/logs/Cleveland_IntroscopeAgent.log

# Warning: The following 'log4j' properties should not be modified for normal
# use. You must restart the managed application before changes to this property
# take effect. 
log4j.additivity.IntroscopeAgent=false
log4j.appender.console=com.wily.org.apache.log4j.ConsoleAppender
log4j.appender.console.layout=com.wily.org.apache.log4j.PatternLayout
log4j.appender.console.layout.ConversionPattern=%d{M/dd/yy hh:mm:ss a z} [%-3p] [%c] %m%n
log4j.appender.console.target=System.err
log4j.appender.logfile=com.wily.introscope.agent.AutoNamingRollingFileAppender
log4j.appender.logfile.layout=com.wily.org.apache.log4j.PatternLayout
log4j.appender.logfile.layout.ConversionPattern=%d{M/dd/yy hh:mm:ss a z} [%-3p] [%c] %m%n
log4j.appender.logfile.MaxBackupIndex=1
log4j.appender.logfile.MaxFileSize=2MB

# DNS lookup configuration 
#
# Agent has following DNS lookup implementations: 'direct' and 'separateThread'.
# Implementation to use is specified by value of
# introscope.agent.dns.lookup.type property. 'direct' performs DNS lookups in
# application thread. Application thread will be delayed by length of time the
# underlying DNS mechanism takes to perform a specific lookup. 'separateThread'
# performs DNS lookups in a separate thread. The application thread is delayed
# at most by 'introscope.agent.dns.lookup.max.wait.in.milliseconds'
# milliseconds. When using 'separateThread' implementation, if lookup of host
# name by IP address times out, IP address will be returned in place of name and
# if lookup of IP address by host name times out, empty IP address will be
# returned. 
#
# Default DNS lookup implementation is 'separateThread'. 
#
# You must restart the managed application before change to this property takes
# effect. 
introscope.agent.dns.lookup.type=separateThread
#introscope.agent.dns.lookup.type=direct

# Maximum time in milliseconds separateThread implementation waits to lookup a
# host name or IP address. It is ignored by direct implementation.  Default
# value is 200. Change to this property takes effect immediately and does not
# require the managed application to be restarted. 
introscope.agent.dns.lookup.max.wait.in.milliseconds=200

# Custom Process Name 
#
# Specify the process name as it should appear in the Introscope Enterprise
# Manager and Workstation. : and | characters are reserved and hence considered
# Illegal characters in process name. Using \ in process name need to be escaped
# with \\. You must restart the managed application before changes to this
# property take effect. 
#introscope.agent.customProcessName=CustomProcessName

# Default Process Name 
#
# If no custom process name is provided and the agent is unable to determine the
# name of the main application class, this value will be used for the process
# name. You must restart the managed application before changes to this property
# take effect. 
introscope.agent.defaultProcessName=oGF3

# Agent Name 
#
# Specify the name of this agent as it appears in the Introscope Enterprise
# Manager and Workstation. 
#
# Use this property if you want to specify the Agent Name using the value of a
# Java System Property. You must restart the managed application before changes
# to this property take effect. 
introscope.agent.agentNameSystemPropertyKey=WILY_INSTANCE

# The amount of time to delay connecting to the Introscope Enterprise Manager
# while Agent Auto Naming is attempted. You must restart the managed application
# before changes to this property take effect. 
introscope.agent.agentAutoNamingMaximumConnectionDelayInSeconds=120

# When Agent Auto Naming is enabled, the Agent will check for a new Application
# Server determined name on the specified interval. You must restart the managed
# application before changes to this property take effect. 
introscope.agent.agentAutoRenamingIntervalInMinutes=10

# Auto name of log files (Agent, AutoProbe and LeakHunter) with the Agent name
# or a timestamp can be disabled by setting the value of this property to
# 'true'.  Log file auto naming only takes effect when the Agent name can be
# determined using a Java System Property or an Application Server custom
# service. You must restart the managed application before changes to this
# property take effect. 
introscope.agent.disableLogFileAutoNaming=false

# Uncomment this property to provide a default Agent Name if the other methods
# fail. You must restart the managed application before changes to this property
# take effect. 
introscope.agent.agentName=ClevelandAgent

# Fully Qualified Domain Name (FQDN) can be enabled by setting this property
# value to 'true'. By Default (false) it will display HostName. Set to 'true'
# when integrating with Catalyst. You must restart the managed application
# before changes to this property take effect. 
introscope.agent.display.hostName.as.fqdn=false

# Agent Memory Overhead Setting 
#
# Set to true if you want to attempt to reduce the agent memory overhead
# introduced by architectural improvements to the 8.x Agent. Increased Agent
# memory overhead only occurs in certain extreme cases. The trade-off for the
# possible lower memory consumption is a possible increase in response time.
# Each application is unique and will experience different variations in Memory
# vs. Response Time trade-offs. This property is set to false by default and out
# of the box is commented out. This is not a hot property and the managed
# application needs to be restarted for this flag to take effect. 
introscope.agent.reduceAgentMemoryOverhead=false

# Agent Extensions Directory 
#
# This property specifies the location of all extensions to be loaded by the
# Introscope Agent.  Non-absolute names are resolved relative to the location of
# this properties file. You must restart the managed application before changes
# to this property take effect. 
introscope.agent.extensions.directory=../ext

# Some extensions require classes to be pre-loaded at startup in order to avoid
# deadlocks during instrumentation. This property controls the behavior of eager
# class loading of these extensions. Only modify this setting, when having
# trouble with agent class loading or deadlocks. 
#
# Possible values are: disabled, enabled, cached. Default value is enabled. You
# must restart the managed application before changes to this property take
# effect. 
introscope.agent.extensions.eagerloader=cached

# Agent Common Directory 
#
# This property specifies the location of common directory to be loaded by the
# Introscope Agent.  Non-absolute names are resolved relative to the location of
# this properties file. You must restart the managed application before changes
# to this property take effect. 
introscope.agent.common.directory=../../common

# Agent Thread Priority 
#
# Controls the priority of agent threads.  Varies from 1 (low) to 10 (high).
# Default value if unspecified is Thread.NORM_PRIORITY (5) You must restart the
# managed application before changes to this property take effect. 
introscope.agent.thread.all.priority=5

# Cloned Agent Configuration 
#
# Set to true when running identical copies of an application on the same
# machine. You must restart the managed application before changes to this
# property take effect. 
introscope.agent.clonedAgent=true

# Agent Metric Clamp Configuration 
#
# This setting configures the Agent to approximately clamp the number of metrics
# sent to the EM If the number of metrics pass this metric clamp value then no
# new metrics will be created. Old metrics will still report values. The value
# must be equal to or larger than 1000 to take effect. Lower value will be
# rejected. The default value is 50000. You must restart the managed application
# before changes to this property take effect. 
introscope.agent.metricClamp=50000

# Transaction Tracer Configuration 
#
# Configuration settings for Introscope Transaction Tracer 
#
# The following settings configure Transaction Tracer to optionally capture the
# user ID used to invoke servlets and JSPs if it is stored in one of the three
# following ways.  Uncomment the set of properties that correspond to how user
# IDs are stored in your application. Make sure only one set of properties are
# uncommented or the wrong properties could be used. 
#
# Uncomment this property if the user ID is accessed through
# HttpServletRequest.getRemoteUser. Changes to this property take effect
# immediately and do not require the managed application to be restarted. 
#introscope.agent.transactiontracer.userid.method=HttpServletRequest.getRemoteUser

# Uncomment the following properties if the user ID is accessed through
# HttpServletRequest.getHeader. Make sure to set the key that is used by your
# application. Changes to these properties take effect immediately and do not
# require the managed application to be restarted. 
#introscope.agent.transactiontracer.userid.method=HttpServletRequest.getHeader
#introscope.agent.transactiontracer.userid.key=<application defined key string>

# Uncomment if the user ID is accessed through HttpSession.getValue. Make sure
# to set the key that is used by your application. Changes to these properties
# take effect immediately and do not require the managed application to be
# restarted. 
#introscope.agent.transactiontracer.userid.method=HttpSession.getValue
#introscope.agent.transactiontracer.userid.key=<application defined key string>

# Uncomment to record specific http request headers, parameters or session
# attributes in the Transaction Tracer data. You must restart the managed
# application before changes to this property take effect. 
#introscope.agent.transactiontracer.parameter.httprequest.headers=User-Agent

# Uncomment to enable the x-apm-bt request header as an option for transaction
# trace session criteria. See "How to Monitor End User Endpoints" in the APM
# documentation for use 
#introscope.agent.transactiontracer.parameter.httprequest.headers=x-apm-bt
#introscope.agent.transactiontracer.parameter.httprequest.parameters=parameter1,parameter2
#introscope.agent.transactiontracer.parameter.httpsession.attributes=attribute1,attribute2

# Uncomment to disable sessionid capture in TransactionTracer data. By default,
# it is enabled and recorded in the TT Data. 
#introscope.agent.transactiontracer.parameter.capture.sessionid=true

# Uncomment to specify the maximum number of components allowed in a Transaction
# Trace.  By default, the clamp is set at 5000. Note that any Transaction Trace
# exceeding the clamp will be discarded at the agent, and a warning message will
# be logged in the Agent log file. Warning: If this clamp size is increased, the
# requirement on the memory will be higher and as such, the max heap size for
# the JVM may need to be adjusted accordingly, or else the managed application
# may run out of memory. Changes to this property take effect immediately and do
# not require the managed application to be restarted. 
#introscope.agent.transactiontrace.componentCountClamp=5000

# Uncomment to specify the maximum depth of components allowed in head
# filtering, which is the process of examining the start of a transaction for
# the purpose of potentially collecting the entire transaction.  Head filtering
# will check until the first blamed component exits, which can be a problem on
# very deep call stacks when no clamping is done.  The clamp value will limit
# the memory and CPU utilization impact of this behavior by forcing the agent to
# only look up to a fixed depth.  By default, the clamp is set at 30. Note that
# any Transaction Trace whose depth exceeds the clamp will no longer be examined
# for possible collection UNLESS some other mechanism, such as sampling or
# user-initiated transaction tracing, is active to select the transaction for
# collection. Warning: If this clamp size is increased, the requirement on the
# memory will be higher and as such, garbage collection behavior may be
# affected, which will have an application-wide performance impact. Changes to
# this property take effect immediately and do not require the managed
# application to be restarted. 
#introscope.agent.transactiontrace.headFilterClamp=30

# Use compression to reduce the size of cross process tracing data. This option
# will increase agent CPU overhead, but reduce the size of interprocess headers.
# Valid options are lzma, gzip or none. LZMA compression is more efficient than
# GZIP, but may use more CPU. Note that .NET agents do not support gzip option,
# so if interoperability is required, do not use gzip. Changes to this property
# take effect immediately and do not require the managed application to be
# restarted. 
introscope.agent.crossprocess.compression=gzip

# Minimum length of cross process parameter data length for which to apply
# compression. Changes to this property take effect immediately and do not
# require the managed application to be restarted. 
introscope.agent.crossprocess.compression.minlimit=1500

# Maximum size of cross process parameter data allowed. If total size of cross
# process parameter even after applying compression (if allowed) is more than
# this limit, some data will be dropped and some cross process correlation
# functionality will not work properly. However, this settings will protect user
# transactions from failing in network transmission due to too large header
# size. Changes to this property take effect immediately and do not require the
# managed application to be restarted. 
introscope.agent.crossprocess.correlationid.maxlimit=4096

# Uncomment to disable Transaction Tracer Sampling. Changes to this property
# take effect immediately and do not require the managed application to be
# restarted. 
#introscope.agent.transactiontracer.sampling.enabled=false

# This property limits the number of transactions that are reported by the agent
# per reporting cycle. The default value if the property is not set is 50. You
# must restart the managed application before changes to this property take
# effect. 
introscope.agent.ttClamp=50

# Cross Process Transaction Trace 
#
# This property controls whether the presence of a tail filter triggers
# automatic collection of traces from downstream agents or not. This property
# does not affect collection of automatic downstream traces due to passing of
# head filters. It is enabled by default. Enabling this property and running
# long periods of Transaction Trace session with tail filters can cause large
# number of traces to be sent to the EM Set the property to false to disable
# automatic collection of downstream traces due to tail filter. You must restart
# the managed application before changes to this property take effect. 
introscope.agent.transactiontracer.tailfilterPropagate.enable=true

# TT Sampling 
#
# These are normally configured in the EM. Configuring in the Agent disables
# configuring them in the EM Changes to this property take effect immediately
# and do not require the managed application to be restarted. 
#introscope.agent.transactiontracer.sampling.perinterval.count=1
#introscope.agent.transactiontracer.sampling.interval.seconds=120

# URL Grouping Configuration 
#
# Configuration settings for Frontend naming.  By default, all frontends go into
# the "Default" group.  This is done so that invalid URLs (i.e. those that would
# generate a 404 error) do not create unique, one-time metrics -- this can bloat
# the EM's memory.  To get more meaningful metrics out of the
# Frontends|Apps|URLs tree, set up URL groups that are relevant to the
# deployment Changes to this property take effect immediately and do not require
# the managed application to be restarted. 
introscope.agent.urlgroup.keys=default
introscope.agent.urlgroup.group.default.pathprefix=*
introscope.agent.urlgroup.group.default.format={path_delimited:/:0:999}

# Synthetic Transaction Configuration 
#
# Configuration settings for synthetic transaction monitoring. Parameter
# introscope.agent.synthetic.header.names defines name(s) of HTTP headers that
# indicate a synthetic transaction.  Individual names are separated by commas. 
# If undefined, or empty string, synthetic transactions are not detected.  If
# multiple values defined, they are checked in order until a header is found
# which has non-null, non-empty value.  The header value will be used to create
# synthetic transaction name (and thus node name(s) under which metrics for the
# transaction) as follows: If header name is 'lisaframeid', the transaction name
# 'CA LISA' will be used.  If header name is anything other than 'lisaframeid'
# or 'x-wtg-info', value of header (with appropriate modification to ensure node
# name is valid) will be used as synthetic transaction name.  If header name is
# 'x-wtg-info', the header value is expected to contain sequence of atributes as
# name, value pairs separated by amperands symbols.  Attribute name and value
# within each pair, are separated by equals sign.  The values of 'group',
# 'name', 'ipaddress' and 'request_id' attributes, separated by '|', are used to
# form synthetic transaction name.   For example the x-wtg-info header: clear
# synthetic=true&instance=ewing&name=sample&group=SampleGroup&version=4.1.0&ipaddress=192.168.193.1&sequencenumber=1&request_id=start&executiontime=1226455047
# would result in metrics being reported under node
# 'SampleGroup|sample|192.168.193.1|start'.  Any attributes which are not
# defined in x-wtg-info header have default values supplied as follows:
# group=unknownGroup, name=unknownScript, ipaddress=0.0.0.0 and
# request_id=Action. Final node name is modified if required to ensure it is
# valid. Changes to this property take effect immediately and do not require the
# managed application to be restarted. 
#introscope.agent.synthetic.header.names=Synthetic_Transaction,x-wtg-info,lisaframeid

# The following configuration parameters with names starting
# 'introscope.agent.synthetic.' are ignored if parameter
# introscope.agent.synthetic.header.names is undefined. Parameter
# introscope.agent.synthetic.user.name defines name of HTTP header whose value
# holds name of synthetic user.  If undefined, nodes for each unique synthetic
# user will not be created.  Synthetic user names will be modified if required
# to ensure they are valid node names. Changes to this property take effect
# immediately and do not require the managed application to be restarted. 
introscope.agent.synthetic.user.name=Synthetic_Trace_By_Vuser

# Node under which transactions recognised as synthetic are reported.  This node
# will be located under Frontends|Apps|<WebAppName> where <WebAppName> is web
# application name.  Defaults to 'Synthetic Users' Changes to this property take
# effect immediately and do not require the managed application to be restarted.
introscope.agent.synthetic.node.name=Synthetic Users

# Node under which transactions not recognised as synthetic are reported..  This
# node will be located under Frontends|Apps|<WebAppName> where <WebAppName> is
# web application name.  If not defined, no additional node under <WebAppName>
# is created. Changes to this property take effect immediately and do not
# require the managed application to be restarted. 
introscope.agent.non.synthetic.node.name=Real Users

# Error Detector Configuration 
#
# Configuration settings for Error Detector 
#
# Please include errors.pbd in your pbl (or in
# introscope.autoprobe.directivesFile) 
#
# The error snapshot feature captures transaction details about serious errors
# and enables recording of error count metrics. Changes to this property take
# effect immediately and do not require the managed application to be restarted.
introscope.agent.errorsnapshots.enable=true

# This setting configures the maximum number of error snapshots that the Agent
# can send in a 15-second period. Changes to this property take effect
# immediately and do not require the managed application to be restarted. 
introscope.agent.errorsnapshots.throttle=10

# This property series lets you specify error messages to ignore.  Error
# snapshots will not be generated or sent for errors with messages matching
# these filters.  You may specify as many as you like (using .0, .1, .2 ...).
# You may use wildcards (*). The following are examples only. Changes to this
# property take effect immediately and do not require the managed application to
# be restarted. 
#introscope.agent.errorsnapshots.ignore.0=*com.company.HarmlessException*
#introscope.agent.errorsnapshots.ignore.1=*HTTP Error Code: 404*

# Minimum threshold for stall event duration Changes to this property take
# effect immediately and do not require the managed application to be restarted.
introscope.agent.stalls.thresholdseconds=3600

# Frequency that the agent checks for stall events Changes to this property take
# effect immediately and do not require the managed application to be restarted.
introscope.agent.stalls.resolutionseconds=10

# Remote Configuration Settings 
#
# Configuration settings for remote configuration 
#
# Enable/disable remote configuration of agent Changes to this property take
# effect immediately and do not require the managed application to be restarted.
introscope.agent.remoteagentconfiguration.enabled=false

# The exact list of files that are allowed to be remotely transferred to this
# agent Changes to this property take effect immediately and do not require the
# managed application to be restarted. 
introscope.agent.remoteagentconfiguration.allowedFiles=domainconfig.xml

# Bootstrap Classes Instrumentation Manager 
#
# Configuration settings for the bootstrap classes instrumentation manager 
#
# enable/disable bootstrap manager. If set to false, no system classes will be
# instrumented. If the property is not set, the default value is false. You must
# restart the managed application before changes to this property take effect. 
introscope.bootstrapClassesManager.enabled=true

# Dynamic Instrumentation Settings 
#
# This feature enables changes to PBDs to take effect without restarting the
# application server or the agent process. This is a very CPU intensive
# operation, and it is highly recommended to use configuration to minimize the
# classes that are being redefined.PBD editing is all that is required to
# trigger this process. 
#
# Enable/disable the dynamic instrumentation feature. This is a hot property so
# only save the file after changing. Agent does not need restarting. 
introscope.autoprobe.dynamicinstrument.enabled=false

# The polling interval in minutes to poll for PBD changes. You must restart the
# managed application before changes to this property take effect. 
#introscope.autoprobe.dynamicinstrument.pollIntervalMinutes=1

# Some classloader implementations have been observed to return huge class
# files.This is to prevent memory errors. You must restart the managed
# application before changes to this property take effect. 
#introscope.autoprobe.dynamicinstrument.classFileSizeLimitInMegs=1

# Re-defining too many classes at a time might be very CPU intensive. In cases
# where the changes in PBDs trigger a re-definition of a large number of
# classes,this batches the process at a comfortable rate. 
#introscope.autoprobe.dynamic.limitRedefinedClassesPerBatchTo=10

# Deep Inheritance Settings 
#
# This property enables deep inheritance instrumentation through PBD directives.
# If set to false, deep inheritance directives will behave as shallow
# inheritance, i.e. will not recognize inheritance relations beyond the
# immediate superclass or interfaces. The default value is true. You must
# restart the managed application before changes to this property take effect. 
introscope.autoprobe.deepinheritance.enabled=true

# When deep inheritance is enabled, the following parameters takes effect. This
# property controls if deep inheritance will be automatically turn off when it
# takes too much time. When it is true, deep inheritance is automatically turn
# off when it takes too much time. When it is false, deep inheritance is not
# automatically turn off and it continues even when it takes a lot of time. The
# default is true. You must restart the managed application before changes to
# this property take effect. 
introscope.autoprobe.deepinheritance.auto.turnoff.enable=true

# When deep inheritance auto turn off is enabled, the following parameters takes
# effect. The auto turn off works in the following way. 
# 	When the time spent on deep inheritance since application start exceeds total
# max time 
# 	deep inheritance is turn off. 
# 	Otherwise, when the number of requests in a checking interval exceeds the
# configured value, 
# 		the time spent on deep inheritance is compared with the max time allowed in
# this interval. 
# 		If the time spent is larger than the configured max time in an interval,
# deep inheritance is automatically turn off. 
# 		Otherwise, the time spend and the number of requests in this checking
# interval are reset for next interval 
#
# This property specifies the number of requests in a checking interval. The
# default is 100. You must restart the managed application before changes to
# this property take effect. 
introscope.autoprobe.deepinheritance.auto.turnoff.requests.per.interval=50

# This property specifies the max time allowed in a checking interval in
# millisecond. The default is 12000 You must restart the managed application
# before changes to this property take effect. 
introscope.autoprobe.deepinheritance.auto.turnoff.maxtime.per.interval=6000

# This property specifies the total max time deep inheritance can spend since
# application starts. It is in millisecond. If this value is exceeded, deep
# inheritance is disabled. The default is 120000. You must restart the managed
# application before changes to this property take effect. 
introscope.autoprobe.deepinheritance.auto.turnoff.maxtime.total=60000

# Multiple Inheritance Settings 
#
# For directives based on interfaces or super classes the agent is unable to
# detect multiple inheritance and hence those classes are not
# instrumented.Enable this feature to determine those cases after the appserver
# or the agent process starts up.This feature logs the classes which need to be
# instrumented but have not been and relies on dynamic instrumentation to affect
# the changes. 
#
# Enable/disable the hierarchy support instrumentation feature. This is a hot
# property so only save the file after changing. Agent does not need restarting.
introscope.autoprobe.hierarchysupport.enabled=false

# Since most cases have the applications already deployed, the behavior needs to
# run only once to detect uninstrumented classes. Unless new applications are
# deployed after this behavior runs, it need not be run again.Change this to
# true only if you need detection on a periodic basis. The default value is
# true, i.e. it runs only once. You must restart the managed application before
# changes to this property take effect. 
introscope.autoprobe.hierarchysupport.runOnceOnly=false

# The polling interval to check for classes which could not be instrumented due
# to multiple inheritance. Since in most cases this will happen only once, a
# conservative value is recommended to account for app server initialization.
# You must restart the managed application before changes to this property take
# effect. 
#introscope.autoprobe.hierarchysupport.pollIntervalMinutes=5

# If you need the behavior to run a finite times instead of running it only
# once/ running it periodically always use this property to specify the exact
# number of times it should run.Using this over-rides the run once only setting.
# You must restart the managed application before changes to this property take
# effect. 
#introscope.autoprobe.hierarchysupport.executionCount=3

# Uncomment this if you dont need to log the classes being detected. This would
# make sense only if dynamic instrumentation is enabled. You must restart the
# managed application before changes to this property take effect. 
#introscope.autoprobe.hierarchysupport.disableLogging=true

# Uncomment this to only log the changes and disable the triggering of dynamic
# instrumentation. You must restart the managed application before changes to
# this property take effect. 
#introscope.autoprobe.hierarchysupport.disableDirectivesChange=true

# Log4j Settings for this feature- these settings would create a log file called
# pbdupdate.log in the current directory of the application. You must restart
# the managed application before changes to this property take effect. 
log4j.additivity.IntroscopeAgent.inheritance=false
#log4j.logger.IntroscopeAgent.inheritance=INFO,pbdlog
#log4j.appender.pbdlog.File=pbdupdate.log
#log4j.appender.pbdlog=com.wily.introscope.agent.AutoNamingRollingFileAppender
#log4j.appender.pbdlog.layout=com.wily.org.apache.log4j.PatternLayout
#log4j.appender.pbdlog.layout.ConversionPattern=%d{M/dd/yy hh:mm:ss a z} [%-3p] [%c] %m%n_

# Agent Metric Aging 
#
# Detects metrics that are not being updated consistently with new data and
# removes these metrics. By removing these metrics you can avoid metric
# explosion. Metrics that are in a group will be removed only if all metrics
# under this group are considered candidates for removal. BlamePointTracer
# metrics are considered a group. 
#
# Enable/disable the metric agent aging feature. Changes to this property take
# effect immediately and do not require the managed application to be restarted.
introscope.agent.metricAging.turnOn=true

#
# You can choose to ignore metrics from removal by adding the metric name or
# metric filter to the list below. Changes to this property take effect
# immediately and do not require the managed application to be restarted. 
introscope.agent.metricAging.metricExclude.ignore.0=Threads*

# To ignore ChangeDetector.AgentID  metric from metric aging.
introscope.agent.metricAging.metricExclude.ignore.1=ChangeDetector.AgentID

# To ignore File System metrics from metric aging.
introscope.agent.metricAging.metricExclude.ignore.2=File System*

# Servlet Header Decorator 
#
# On/Off Switch 
#
# If this Boolean value is set to true, it configures the agent to add
# additional performance monitoring information to HTTP response headers. 
# ServletHeaderDecorator attaches the GUID to each transaction and inserts the
# GUID into an HTTP header, x-wily-info This enables the correlation of
# transaction between Wily CEM and Wily Introscope Changes to this property take
# effect immediately and do not require the managed application to be restarted.
introscope.agent.decorator.enabled=true

# Security 
#
# Determine the format of decorated HTTP response headers, which are sent to
# Wily CEM. clear - clear text encoding encrypted - header data is encrypted
# default is encrypted 
introscope.agent.decorator.security=encrypted

# Application Map Agent Side 
#
# Enable/disable tracking in the monitored code for Application Map 
introscope.agent.appmap.enabled=true

# Enable/disable tracking of metrics for app map nodes. Default value is false. 
introscope.agent.appmap.metrics.enabled=false

# Enable/disable sending additional information for integration with catalyst.
# Default value is false 
introscope.agent.appmap.catalystIntegration.enabled=false

# Set the buffer size for app map data. Default value is 1000. Must be a
# positive integer. If the value is set to 0, the buffer is unbounded. 
#introscope.agent.appmap.queue.size=1000

# Set the frequency in milliseconds for sending app map data to the EM. Default
# value is 1000. Must be a positive integer. If the value is set to 0, the
# default value is used. 
#introscope.agent.appmap.queue.period=1000

# Enable/disable sending additional intermediate nodes between application
# frontend and backend nodes. Default value is false. Change to this property
# takes effect immediately and do not require the managed application to be
# restarted. 
introscope.agent.appmap.intermediateNodes.enabled=false

# For the AppMapMarkerTracers, we can set the properties that define if they
# sending Class or MethodClass level information. 
#
# [Class] will enable to report Class level application edge to Application map,
# [MethodClass] will enable to report Method Class level application edge to
# Application map. 
introscope.agent.appmap.levels.enabled=MethodClass

# For the AppMapMarkerTracers, we can set the properties that define if they
# sending information for Application or Business Transactionowners. 
#
# [Application] will enable to report applciation owners.
# [BusinessTransactionComponent] will enable to report BTC owners 
introscope.agent.appmap.owners.enabled=Application,BusinessTransactionComponent

# Business Recording 
#
# Enable/disable business recording. You must restart the managed application
# before changes to this property take effect. 
introscope.agent.bizRecording.enabled=true

# Never attempt to match POST parameters. This option is fastest, but may result
# in inaccurate business transaction component matching.
#introscope.agent.bizdef.matchPost=never

# Match POST parameter patterns after servlet has executed. Cross process
# mapping and some metrics will not be available. This option is only available
# when the agent is run in pre-9.1 mode. 
#introscope.agent.bizdef.matchPost=after

# Match POST parameter patterns before the servlets execute. This option may
# require to define which urls are using directly the input stream or the reader
# of the request, and therefore must be vetoed to be matched against post
# parameters. 
introscope.agent.bizdef.matchPost=before

# A list of pre configured URLs (with out host part) that are excluded from post
# parameter processing. Usually because it is known that they access servlet
# stream directly. This is a comma separated list, where each item can
# optionally end with '*' to denote that it's a URL prefix. '*' is not allowed
# in any other position than end. 
introscope.agent.bizdef.matchPost.vetoedURI=

# Thread Dump Collection 
#
# Enable/disable Thread Dump Feature support. 
introscope.agent.threaddump.enable=false

# Enable/disable DeadLock poller Metric support.
introscope.agent.threaddump.deadlockpoller.enable=false

# The property determines the interval in which the Agent queries for any
# deadlock in the system.
introscope.agent.threaddump.deadlockpollerinterval=7500

# Primary network interface selector 
#
# Agent reports details of host computer's primary interface (IP address, MAC
# address, host & domain name). If this property is unset, agent will attempt to
# determine an appropriate interface as the primary interface.  If an alternate
# interface is required, uncomment this property and specify required interface
# identity. Change to this property takes effect immediately and do not require
# the managed application to be restarted. 
#introscope.agent.primary.net.interface.name=eth0.0

# Default Backend Legacy 
#
# The default backend feature behavior has changed to include methods marked as
# frontend in the detection of socket calling. This property will set the
# default backend detection to run as in 9.0.x release. By default, the value of
# the property of false. You must restart the managed application before changes
# to this property take effect. 
introscope.agent.configuration.defaultbackends.legacy=false

# Transaction Structure aging properties 
#
# This property is to evaluate the number of elements in the transaction
# structure at the period interval, to determine if "emergency aging" is
# required. Default value is "30000". 
#com.wily.introscope.agent.harvesting.transaction.creation.checkperiod=30000

# This property specifies the period in milliseconds that the aging for the
# transaction structure is checked. Default value is "30000" 
#com.wily.introscope.agent.harvesting.transaction.aging.checkperiod=30000

# This property specifies the minimum amount in milliseconds that a tree in the
# transaction structure must be inactive before it is purged. The inactivity
# does not imply that it will be aged out. Default value is "60000". 
#com.wily.introscope.agent.harvesting.transaction.aging.period=60000

# This property sets the maximum percentage increment in the size of the
# structure that is allowed to happen before aging of the transaction structure
# is forced. If the change in the number of nodes between the aging periods is
# more than this percentage value, then checking for aging occurs if set to a
# small value, the transaction structure will be aged more frequently, and the
# memory utilization of the agent will be therefore kept lower. Default value is
# "5", i.e. 5%. 
#com.wily.introscope.agent.harvesting.transaction.aging.attentionlevel.percentage=5

# This property sets the maximum absolute increment in the size of the structure
# that is allowed to happen before aging of the transaction structure is forced.
# If the change in the number of nodes between the aging periods is more than
# this percentage value, then checking for aging occurs if set to a small value,
# the transaction structure will be aged more frequently, and the memory
# utilization of the agent will be therefore kept lower. Default value is
# "100000". 
#com.wily.introscope.agent.harvesting.transaction.attentionlevel.absolute=100000

# This property is used to avoid spikes in memory utilization of the transaction
# structure. If there is an increase of elements at any time bigger than a third
# of this value, then "emergency aging" occurs immediately. Emergency aging will
# agent parts of the transaction structures that are younger than the value
# specified in com.wily.introscope.agent.harvesting.transaction.aging.period,
# and will likely reduce the amount of data sent by the agent. Only modify this
# value if the memory requirement are very strict. Default value is "100000" 
#com.wily.introscope.agent.harvesting.transaction.creation.attentionlevel.absolute=100000

# This property specifies the maximum duration in milliseconds of the aging
# process. It is used to avoid long aging process when resources available are
# not sufficient. Default value is 30000. 
#com.wily.introscope.agent.harvesting.transaction.aging.duration.max=30000

# Transaction Structure properties 
#
# Enable/disable to shut down globally the transaction trace feature. Default
# value is "true". 
#com.wily.introscope.agent.blame.transaction.doTransactionTrace=true

# Enable/disable high concurrency mode for all repositories. Set to true, it
# will use more memory but may give more throughput Default value is "false". 
#com.wily.introscope.agent.blame.highconcurrency.enabled=false

# This property defines the number of stripes in the striped repositories. It
# works when the high concurrency mode is on, which is
# "com.wily.introscope.agent.blame.highconcurrency.enabled=true" Default value
# is "16". 
#com.wily.introscope.agent.blame.highconcurrency.stripes=16

# Enable/disable to removes stalls from all traces, and remove stall feature
# altogether. Default value is "true". 
com.wily.introscope.agent.blame.stall.trace.enabled=true

# Enable synchronized repositories instead of compare and swap repositories. The
# synchronized repository is not used in java5 because of overhead in locking.
# The default value is true in java 6 and above, and false for java 5. In java
# 5, setting to false will cause overhead 
com.wily.introscope.agent.blame.synchronized.enabled=true

# Properties to activate sustainability metrics 
#
# Sustainability metrics are generated to provide information on the agent
# health and internal status. There is a substantial overhead associated with
# these metrics, and therefore, their usage is not suggested at this time in
# production environments. 
#
# Enable/disable to generate globally sustainability debug metrics. Set to true,
# it will generate globally sustainability debug metrics that can be used to
# evaluate the Transaction Structure. Default value is "false". 
com.wily.introscope.agent.blame.transactions.debugmetrics.enabled=false

# Enable/disable to generate sustainability metrics on the harvesting process.
# Default value is "false". 
com.wily.introscope.agent.harvesting.debugmetrics.enabled=false

# This property is to generate the metrics for the health of the data structures
# in the agent. Default value is "false" 
concurrentMapPolicy.generatemetrics=false

# Smart Instrumentation properties 
#
# Note: The following describes the functional behaviour on combination of the
# two properties introscope.agent.deep.instrumentation.enabled and
# introscope.agent.deep.trace.enabled 
#
# 1. The introscope.agent.deep.instrumentation.enabled property must be enabled
# for the introscope.agent.deep.trace.enabled property to function. 
#
# 2. When introscope.agent.deep.instrumentation.enabled=true and
# introscope.agent.deep.trace.enabled=true, the agent automatically instruments
# deep transaction trace components and collects deep transaction traces. 
#
# 3. When introscope.agent.deep.instrumentation.enabled=true and
# introscope.agent.deep.trace.enabled=false, the agent automatically instruments
# deep transaction trace components. However no deep transaction trace component
# data is sent to the Enterprise Manager or displayed. 
#
# Enables and disables deep transaction trace visibility. Enables and disables
# the agent ability to automatically instrument transaction trace components
# without PBD configuration to provide deep transaction trace visibility. The
# default value is true. You must restart the managed application before changes
# to this property take effect. 
introscope.agent.deep.instrumentation.enabled=false

# Enables and disables the agent ability to collect deep transaction traces and
# send the data to the Enterprise Manager. The default value is true. Change to
# this property takes effect immediately and does not require the managed
# application to be restarted. 
introscope.agent.deep.trace.enabled=false

# This property determines how much of the code is instrumented. The valid
# values are low, medium, high. Low means few methods are instrumented, and high
# means a lot of methods are instrumented. Change to this property will cause
# performance degradation when system is under high load. Use with caution.
# Change to this property takes effect immediately and does not require the
# managed application to be restarted. 
introscope.agent.deep.instrumentation.level=low

# When smart instrumentation level is changed, the classes are reloaded in
# batches. This property specifies number of classes that are re-loaded per
# batch. Increasing the value of this property will cause performance
# degradation when system is under high load. Use with caution. Change to this
# property takes effect immediately and does not require the managed application
# to be restarted. 
introscope.agent.deep.instrumentation.level.batch.size=3

# When smart instrumentation level is changed, the classes are reloaded in
# batches. This property specifies time interval in minutes between batches.
# Decreasing the value of this property will cause performance degradation when
# system is under high load. Use with caution. Change to this property takes
# effect immediately and does not require the managed application to be
# restarted. 
introscope.agent.deep.instrumentation.level.batch.interval=1

# This property enables and disables deep component visibility into error
# snapshots Change to this property takes effect immediately and does not
# require the managed application to be restarted. 
introscope.agent.deep.errorsnapshot.enable=true

# This property enables / disables the deep stall snapshots. Change to this
# property takes effect immediately and does not require the managed application
# to be restarted. 
introscope.agent.deep.stallsnapshot.enabled=true

# This property limits the number of methods that the agent can automatically
# Instrument without PBD instrumentation You must restart the managed
# application before changes to this property take effect 
introscope.agent.deep.instrumentation.max.methods=5000

# This property limits the maximum number of deep trace components in a
# Transaction Trace Change to this property takes effect immediately and does
# not require the managed application to be restarted. 
introscope.agent.deep.trace.max.components=500

# This property limits the maximum number of consecutive deep trace components
# in a Transaction Trace Change to this property takes effect immediately and
# does not require the managed application to be restarted. 
introscope.agent.deep.trace.max.consecutive.components=8

# Set of package prefixes that should be scored low as they're unlikely to be
# relevant to transactions. You must restart the managed application before
# changes to this property take effect. 
introscope.agent.deep.instrumentation.custom.prefixes=java

# Enables or disables introscope to automatically collect transaction traces.
# Note: does not apply to sampled transaction traces. Change to this property
# takes effect immediately and does not require the managed application to be
# restarted. 
introscope.agent.deep.automatic.trace.enabled=true

# Clamps the number of automatic traces collected by Introscope per 1 minute
# interval. Note: does not apply to sampled transaction traces. Change to this
# property takes effect immediately and does not require the managed application
# to be restarted. 
introscope.agent.deep.automatic.trace.clamp=5

# Enables and disables the cross-process support for automatic transaction
# tracing. Note: To see cross-process transactions in automatic transaction
# traces, these properties must also be set to true: 1.
# introscope.agent.deep.trace.enabled 2.
# introscope.agent.deep.instrumentation.enabled 3.
# introscope.agent.deep.automatic.trace.enabled The default value is true.
# Change to this property takes effect immediately and does not require the
# managed application to be restarted. 
introscope.agent.deep.automatic.trace.crossprocess.enabled=false

# Enables automatic entry point detection. Change to this property takes effect
# immediately and does not require the managed application to be restarted. 
introscope.agent.deep.entrypoint.enabled=true

# Package prefix for classes to be skipped  for consideration as entry points.
# You must restart the managed application before changes to this property take
# effect. 
introscope.agent.deep.entrypoint.skip.pkgs=

# Maximum number of traced entry points that can be persisted in the AutoPersist
# pbd. Change to this property takes effect immediately and does not require the
# managed application to be restarted. 
introscope.agent.deep.entrypoint.count.max=50

# External Business Transaction Monitoring properties 
#
# Turn on/off the External Business Transaction Monitoring feature. Changes to
# this property take effect immediately and do not require the managed
# application to be restarted. The default value is true. 
introscope.agent.external.biz.enabled=true

# Maximum data size for External Business Transaction header parameter
# (x-apm-bt). The unit is 1KB. A request with a parameter exceeding this limit
# will not be processed as External Business Transaction. Changes to this
# property take effect immediately and do not require the managed application to
# be restarted. The default value is 10. 
introscope.agent.external.biz.header.size.max=5

# Maximum number of External Business Transactions allowed. Changes to this
# property take effect immediately and do not require the managed application to
# be restarted. The default value is 100. 
introscope.agent.external.biz.bt.count.max=50


################################################################################
# Bundle: em-connection:10.3.0.15
################################################################################

# This bundle contains the configuration settings the Introscope Agents use for
# connections to the Enterprise Manager. 
#
# The Enterprise Manager 'connection order' list the Agent uses if it is
# disconnected from its Enterprise Manager is determined automatically based on
# the numeric suffix provided to "agentManager.url" property. 
#
# For example if "agentManager.url.1" , "agentManager.url.2" and
# "agentManager.url.3" are defined and enabled then connection order will be
# "1,2,3" with "1" getting the highest precedence and so on. 
#
# Default channel is "1". All the related properties of default channel are
# suffixed with "1". Similarly if channel "2" is defined and enabled , then all
# of the properties related to it must be suffixed with "2". 

# A direct socket connection will be used by default if no protocol is
# specified, for example or if the property is specified using the URI form,
# tcp://hostname:port 
#
# The agent can be configured to tunnel communication to the Enterprise manager
# over HTTP, HTTPS or over a secure socket layer connection by specifying the
# URI form of the property with the appropriate protocol specified. If an HTTP
# connection must be routed via a proxy server, then the proxy address, port,
# username and password may all be set using the appropriate
# agentManager.httpProxy properties. 
#
# WARNING: These types of connection may impact Agent and Enterprise Manager
# performance so should only be used if a direct socket connection to the
# Enterprise Manager is not feasible. This may be the case if the Agent is
# isolated from the Enterprise Manager with a firewall blocking all but HTTP
# traffic. 
#
# To connect to the Enterprise Manager using HTTPS tunnelling (HTTP over SSL),
# "https" should be specified for the connection protocol, e.g:
# https://localhost:8444 
#
# To connect to the Enterprise Manager using SSL, "ssl" should be specified for
# the connection protocol, e.g: ssl://localhost:5443 
#
# If using an SSL connection, the trust store, key store and cipherSuite
# properties should be configured using additional properties below. 
#
# You must restart the managed application before changes to this property take
# effect. 
agentManager.url.1=localhost:5001

# The agentManager.httpProxy properties are used only when the Agent is
# tunneling over HTTP and the Agent must connect to the Enterprise Manager
# through a proxy server (forward proxy). Uncomment and set the appropriate
# proxy host and port values. If the proxy server cannot be reached at the
# specified host and port, the Agent will try a direct HTTP tunneled connection
# to the Enterprise Manager before failing the connection attempt. You must
# restart the managed application before changes to this property take effect. 
#agentManager.httpProxy.host=
#agentManager.httpProxy.port=

# The following properties are used only when the proxy server requires
# authentication. Uncomment and set the user name and password properties. You
# must restart the managed application before changes to this property take
# effect. For NTLM credentials you must separate domain name from user name by
# escaped backslash e.g. mydomain.com\\jack01 
#agentManager.httpProxy.username=
#agentManager.httpProxy.password=

# Additional properties for connecting to the Enterprise Manager using SSL. 
#
# Location of a truststore containing trusted EM certificates. If no truststore
# is specified, the agent trusts all certificates. Either an absolute path or a
# path relative to the agent's working directory. On Windows, backslashes must
# be escaped.  For example: C:\\keystore 
#agentManager.trustStore.1=

# The password for the truststore
#agentManager.trustStorePassword.1=

# Location of a keystore containing the agent's certificate. A keystore is
# needed if the EM requires client authentication. Either an absolute path or a
# path relative to the agent's working directory. On Windows, backslashes must
# be escaped.  For example: C:\\keystore 
#agentManager.keyStore.1=

# The password for the keystore
#agentManager.keyStorePassword.1=

# Set the enabled cipher suites. A comma-separated list of cipher suites. If not
# specified, use the default enabled cipher suites. 
#agentManager.cipherSuites.1=

# Enterprise Manager Failback Retry Interval 
#
# When the Agent is configured to have multiple Enterprise Managers in its
# connection order and this property is enabled, the Introscope Agent will
# automatically attempt to connect to the Enterprise Manager in its connection
# order to which it can connect in allowed mode. In case no such Enterprise
# Manager is found, the reconnection attempt will occur on a regular interval as
# specified. Agent will not connect to any Enterprise Manager in disallowed
# mode, when this property is enabled. You must restart the managed application
# before changes to this property take effect. 
#introscope.agent.enterprisemanager.failbackRetryIntervalInSeconds=120


################################################################################
# Bundle: glassfish:10.3.0.15
################################################################################

# You can change the default values below

# Specify the process name as it should appear in the Introscope Enterprise
# Manager and Workstation. : and | characters are reserved and hence considered
# Illegal characters in process name. Using \ in process name need to be escaped
# with \\. You must restart the managed application before changes to this
# property take effect. 
#introscope.agent.customProcessName=

# This Agent Name is used if the other methods are disabled or fail. You must
# restart the managed application before changes to this property take effect. 
#introscope.agent.agentName=GlassFish Agent

# JMX Requirement
com.wily.use.platform.mbeanserver=true

# This enables/disables auto naming of the agent using an Application Server
# custom service. You must restart the managed application before changes to
# this property take effect. 
introscope.agent.agentAutoNamingEnabled=false

# Enable/disable the remote management of dynamic instrumentation. You must
# restart the managed application before changes to this property take effect. 
introscope.agent.remoteagentdynamicinstrumentation.enabled=false

# Define a wait time in seconds at startup before instrumenting bootstrap
# classes
introscope.bootstrapClassesManager.waitAtStartup=3

################################################################################
# CPU
################################################################################
# Disable the CPU Utilization reporting for each CPU for each agent - Fernando Serrano
introscope.agent.disableAggregateCPUUtilization=true

################################################################################
# PACKAGE DETAILS
################################################################################
acc.package.id=10
acc.package.name=Glassfish
acc.package.version=2
